clear 
x1=[98  90  60  75  80];
x2=[78  87  90  80  65];
x3=[50  70  89  99  92];
x4=[86  83  70  60  94];
x=[x1;x2;x3;x4];
subplot(2,2,1);bar(x)                   %在第一个子图绘制垂直分组式柱状图
title('垂直柱状图')
xlabel('学生');ylabel('分数')            
subplot(2,2,2);barh(x,'stacked')       %在第二个子图绘制水平堆栈式柱状图         
title('水平柱状图')
xlabel('分数');ylabel('学生')            
subplot(2,2,3);bar3(x)                   %在第三个子图绘制三维垂直柱状图  
title('三维垂直柱状图')
xlabel('第几次考试');ylabel('学生');zlabel('分数')
subplot(2,2,4);bar3h(x,'detached')      %在第四个子图绘制三维水平分离式柱状图  
title('三维水平柱状图')
xlabel('第几次考试');ylabel('分数');zlabel('学生')






